// Fragment Shader for experiments – file "sandbox.frag"

#version 150 core

in  vec3 ex_normal;
out vec4 out_color;

void main(void)
{
	float intensity = max(dot(ex_normal, vec3(0.0, 0.0, 1.0)), 0.0);
	float toon_intensity = ceil(3.0 * intensity) / 3.0;
	out_color = vec4(1.0, 1.0, 0.0,1.0)*toon_intensity;
}
